#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	LibMagic
#
Summary:	File::LibMagic - Perlwrapper for libmagic
Summary(pl.UTF-8):	File::Libmagic - Moduł języka Perl opakowujący bibliotekę libmagic
Name:		perl-File-LibMagic
Version:	1.03
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/D/DR/DROLSKY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	36b317bbb394af44aabb43a0b61e0bfa
URL:		http://search.cpan.org/dist/File-LibMagic/
BuildRequires:	libmagic-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The File::LibMagic is a simple perl interface to libmagic library.

%description -l pl.UTF-8
Moduł języka Perl File::LibMagic jest prostym interfejsem do
biblioteki libmagic.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__sed} -i 's/ -lz//' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorarch}/File/*.pm
%dir %{perl_vendorarch}/auto/File/LibMagic
%attr(755,root,root) %{perl_vendorarch}/auto/File/LibMagic/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-LibMagic.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> a7c6c09
- x32 rebuild
- release 2 (by relup.sh)

* Mon Nov 10 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> 935f1e6
- up to 1.03
  now builds - needed for amavisd-new 2.10

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bb6bcfb
- removed zero-sized .bs file

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c625a59
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> c11e315
- don't link with -lz (not used)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b900a3
- release 2

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 6706d21
- updated to 0.96

* Mon Jul 21 2008 Marcin Banasiak <marcin.banasiak@gmail.com> b10cefa
- updated to 0.88

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> a214b13
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 571fa33
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 5bd15eb
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> f9e3a48
- up to 0.85

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> c18810a
- non-executable perms for *.ix

* Tue Mar 20 2007 beorn <beorn@pld-linux.org> 689217f
- Polish translation
- Description stripped
- Macros in URL
- Adapterized

* Mon Mar 19 2007 radek <radek@pld-linux.org> 330861e
- new

